/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */


.product-spec__table{
  width:100%;
  border-collapse:collapse;
  margin-top:20px;
}
.product-spec__table th{
  width:35%;
  text-align:left;
  font-weight:600;
  padding:12px 10px;
  border-bottom:1px solid #eee;
}
.product-spec__table td{
  padding:12px 10px;
  border-bottom:1px solid #eee;
}


/* Filter Everything: ukryj termy z liczbą 0 */
.wpc-filters-widget-wrapper .wpc-term-count-0{
    display:none !important;
}

/* (opcjonalnie) jeśli po ukryciu zostanie pusta sekcja, też ją schowaj */
.wpc-filters-widget-wrapper .wpc-filters-section:has(.wpc-term-item:not(.wpc-term-count-0)){
    display:block;
}

.wpc-color-search{
    width:100%;
    padding:10px 12px;
    border:1px solid rgba(0,0,0,.15);
    border-radius:8px;
    margin:10px 0 12px;
    font-size:14px;
}

.wpc-show-more{
    width:100%;
    margin-top:10px;
    padding:10px 12px;
    border:1px solid rgba(0,0,0,.18);
    border-radius:8px;
    background:#fff;
    cursor:pointer;
}

.wpc-filter-pa_kolor .is-hidden-by-limit{
    display:none !important;
}

/* Sezonowość: nie przygaszaj całego boxa (bo zabija czytelność tekstu) */
.variant-box.variant-disabled {
    opacity: 1 !important;
}

/* Przygaszamy tylko elementy, które mają być "disabled look" */
.variant-box.variant-disabled .variant-img,
.variant-box.variant-disabled .variant-name,
.variant-box.variant-disabled .variant-price {
    opacity: 0.45;
}

/* Tekst "Dostępny od ..." ma być czytelny i w Twoim kolorze */
.variant-box.variant-disabled .variant-stock {
    opacity: 1 !important;
    color: #b45b76 !important;
    font-weight: 600;
}

